<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.5.0_17) on Fri Dec 04 18:31:11 CET 2009 -->
<TITLE>
ch.javasoft.math.linalg.impl
</TITLE>

<META NAME="keywords" CONTENT="ch.javasoft.math.linalg.impl package">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    parent.document.title="ch.javasoft.math.linalg.impl";
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Package</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Class</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-use.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../ch/javasoft/math/linalg/package-summary.html"><B>PREV PACKAGE</B></A>&nbsp;
&nbsp;<A HREF="../../../../../ch/javasoft/math/operator/package-summary.html"><B>NEXT PACKAGE</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../index.html?ch/javasoft/math/linalg/impl/package-summary.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="package-summary.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<H2>
Package ch.javasoft.math.linalg.impl
</H2>
The <tt>math.linalg.impl</tt> package contains default implementations of the 
interfaces defined in the parent package.
<P>
<B>See:</B>
<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<A HREF="#package_description"><B>Description</B></A>
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Class Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../../ch/javasoft/math/linalg/impl/BigFractionGaussPivoting.html" title="class in ch.javasoft.math.linalg.impl">BigFractionGaussPivoting</A></B></TD>
<TD>This class contains constants for factories returning instances of inner 
 classes implementing <A HREF="../../../../../ch/javasoft/math/linalg/GaussPivoting.html" title="interface in ch.javasoft.math.linalg"><CODE>pivoting strategies</CODE></A> for Gaussian 
 elimination with <A HREF="../../../../../ch/javasoft/math/BigFraction.html" title="class in ch.javasoft.math"><CODE>BigFraction</CODE></A> numbers.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../../ch/javasoft/math/linalg/impl/BigFractionGaussPivoting.LenProductL.html" title="class in ch.javasoft.math.linalg.impl">BigFractionGaussPivoting.LenProductL</A></B></TD>
<TD>This pivoting strategy uses the product of the bit lengths of 
 numerator and denominator.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../../ch/javasoft/math/linalg/impl/BigFractionGaussPivoting.LenProductLE.html" title="class in ch.javasoft.math.linalg.impl">BigFractionGaussPivoting.LenProductLE</A></B></TD>
<TD>This pivoting strategy for which uses the product of the bit lengths of 
 numerator and denominator.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../../ch/javasoft/math/linalg/impl/BigFractionGaussPivoting.LenProductLorEandMoreRowZeros.html" title="class in ch.javasoft.math.linalg.impl">BigFractionGaussPivoting.LenProductLorEandMoreRowZeros</A></B></TD>
<TD>This pivoting strategy uses the product of the bit lengths of 
 numerator and denominator.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../../ch/javasoft/math/linalg/impl/BigFractionGaussPivoting.LenSumLorEandMoreRowZeros.html" title="class in ch.javasoft.math.linalg.impl">BigFractionGaussPivoting.LenSumLorEandMoreRowZeros</A></B></TD>
<TD>This pivoting strategy for which uses the sum of the bit lengths of 
 numerator and denominator.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../../ch/javasoft/math/linalg/impl/BigFractionGaussPivoting.MaxLenLorEandMoreRowZeros.html" title="class in ch.javasoft.math.linalg.impl">BigFractionGaussPivoting.MaxLenLorEandMoreRowZeros</A></B></TD>
<TD>This pivoting strategy for which uses the maximum of the bit lengths of 
 numerator and denominator.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../../ch/javasoft/math/linalg/impl/BigIntegerGaussPivoting.html" title="class in ch.javasoft.math.linalg.impl">BigIntegerGaussPivoting</A></B></TD>
<TD>This class contains constants for factories returning instances of inner 
 classes implementing <A HREF="../../../../../ch/javasoft/math/linalg/GaussPivoting.html" title="interface in ch.javasoft.math.linalg"><CODE>pivoting strategies</CODE></A> for Gaussian 
 elimination with <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math"><CODE>BigInteger</CODE></A> numbers.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../../ch/javasoft/math/linalg/impl/BigIntegerGaussPivoting.LenL.html" title="class in ch.javasoft.math.linalg.impl">BigIntegerGaussPivoting.LenL</A></B></TD>
<TD>This pivoting strategy uses bit length of the value.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../../ch/javasoft/math/linalg/impl/BigIntegerGaussPivoting.LenLE.html" title="class in ch.javasoft.math.linalg.impl">BigIntegerGaussPivoting.LenLE</A></B></TD>
<TD>This pivoting strategy uses bit length of the value.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../../ch/javasoft/math/linalg/impl/BigIntegerGaussPivoting.LenLorEandMoreRowZeros.html" title="class in ch.javasoft.math.linalg.impl">BigIntegerGaussPivoting.LenLorEandMoreRowZeros</A></B></TD>
<TD>This pivoting strategy uses bit length of the value.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../../ch/javasoft/math/linalg/impl/DoubleGaussPivoting.html" title="class in ch.javasoft.math.linalg.impl">DoubleGaussPivoting</A></B></TD>
<TD>This class contains constants for factories returning instances of inner 
 classes implementing <A HREF="../../../../../ch/javasoft/math/linalg/GaussPivoting.html" title="interface in ch.javasoft.math.linalg"><CODE>pivoting strategies</CODE></A> for Gaussian 
 elimination with <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Double.html" title="class or interface in java.lang"><CODE>Double</CODE></A> numbers.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../../ch/javasoft/math/linalg/impl/DoubleGaussPivoting.AbsG.html" title="class in ch.javasoft.math.linalg.impl">DoubleGaussPivoting.AbsG</A></B></TD>
<TD>This pivoting strategy uses the largest absolute value as pivot.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../../ch/javasoft/math/linalg/impl/DoubleGaussPivoting.AbsGE.html" title="class in ch.javasoft.math.linalg.impl">DoubleGaussPivoting.AbsGE</A></B></TD>
<TD>This pivoting strategy uses the largest absolute value as pivot.</TD>
</TR>
</TABLE>
&nbsp;

<P>
<A NAME="package_description"><!-- --></A><H2>
Package ch.javasoft.math.linalg.impl Description
</H2>

<P>
The <tt>math.linalg.impl</tt> package contains default implementations of the 
interfaces defined in the parent package.
<P>

<P>
<DL>
</DL>
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Package</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Class</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-use.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../ch/javasoft/math/linalg/package-summary.html"><B>PREV PACKAGE</B></A>&nbsp;
&nbsp;<A HREF="../../../../../ch/javasoft/math/operator/package-summary.html"><B>NEXT PACKAGE</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../index.html?ch/javasoft/math/linalg/impl/package-summary.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="package-summary.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
